#!/bin/sh

# Regenerate ubuntu-themes tarball without copyrighted trademarks
VERSION=$1
REVISION=$2

FOLDER=light-themes-$VERSION-bzr$REVISION
ARCHIVE=$FOLDER.tar.xz

bzr export $FOLDER/ -r $REVISION lp:ubuntu-themes
pushd $FOLDER/

# Remove copyrighted logo icons
rm -r distributor-logo.png ubuntu-mobile/
find ubuntu-mono-*/ LoginIcons                 \
  \(                                           \
        -name "computer.*"                     \
     -o -name "dash-home.*"                    \
     -o -name "distributor-logo.*"             \
     -o -name "package-supported.*"            \
     -o -name "preferences-system-directory.*" \
     -o -name "start-here.*"                   \
     -o -name "ubuntu*.*"                      \
  \) -delete

popd

tar -cJf $ARCHIVE $FOLDER/
rm -r $FOLDER/
